ESP8266_RTOS_SDK v1.4.0

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Enumerations | Functions
User IE APIs
WiFi Related APIs

WiFi User IE APIs. More...

## Typedefs
typedef void(* | user_ie_manufacturer_recv_cb_t) (user_ie_type type, const uint8 sa[6], const uint8 m_oui[3], uint8 *ie, uint8 ie_len, sint32 rssi)
| User IE received callback. More...

## Enumerations
enum | user_ie_type { USER_IE_BEACON = 0, USER_IE_PROBE_REQ, USER_IE_PROBE_RESP, USER_IE_ASSOC_REQ, USER_IE_ASSOC_RESP, USER_IE_MAX }

## Functions
bool | wifi_set_user_ie (bool enable, uint8 *m_oui, user_ie_type type, uint8 *user_ie, uint8 len)
| Set user IE of ESP8266. More...
sint32 | wifi_register_user_ie_manufacturer_recv_cb (user_ie_manufacturer_recv_cb_t cb)
| Register user IE received callback. More...
void | wifi_unregister_user_ie_manufacturer_recv_cb (void)
| Unregister user IE received callback. More...

## Detailed Description

WiFi User IE APIs.

## Typedef Documentation

typedef void(* user_ie_manufacturer_recv_cb_t) (user_ie_type type, const uint8 sa[6], const uint8 m_oui[3], uint8 *ie, uint8 ie_len, sint32 rssi)

User IE received callback.

Parameters

  user_ie_type | type : type of user IE.
  const | uint8 sa[6] : source address of the packet.
  const | uint8 m_oui[3] : factory tag.
  uint8 | *user_ie : pointer of user IE.
  uint8 | ie_len : length of user IE.
  sint32 | rssi : signal strength.

Returns
  null

## Function Documentation

sint32 wifi_register_user_ie_manufacturer_recv_cb | ( | user_ie_manufacturer_recv_cb_t | cb | ) |

Register user IE received callback.

Parameters

  user_ie_manufacturer_recv_cb_t | cb : callback

Returns
  0 : succeed
  -1 : fail

bool wifi_set_user_ie | ( | bool | enable,
|  | uint8 * | m_oui,
|  | user_ie_type | type,
|  | uint8 * | user_ie,
|  | uint8 | len
| ) |  |

Set user IE of ESP8266.

The user IE will be added to the target packets of user_ie_type.

Parameters

  bool | enable : true, enable the corresponding user IE function, all parameters below have to be set. false, disable the corresponding user IE function and release the resource, only the parameter "type" below has to be set.
  uint8 | *m_oui : factory tag, apply for it from Espressif System.
  user_ie_type | type : IE type. If it is USER_IE_BEACON, please disable the IE function and enable again to take the configuration effect immediately .
  uint8 | *user_ie : user-defined information elements, need not input the whole 802.11 IE, need only the user-define part.
  uint8 | len : length of user IE, 247 bytes at most.

Returns
  true : succeed
  false : fail

void wifi_unregister_user_ie_manufacturer_recv_cb | ( | void |  | ) |

Unregister user IE received callback.

Parameters

  null |

Returns
  null